Package com.smartgwt.client.bean.types

# Class StringValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<String>
com.smartgwt.client.bean.types.StringValueType

public class StringValueType extends BeanValueType<String>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `protected BeanValueType.Convertability`
  `convertabilityToString()`
  `String`
  `convertFrom(Object value)`
  `protected String`
  `convertFromArray(boolean[] value)`
  `protected String`
  `convertFromArray(double[] value)`
  `protected String`
  `convertFromArray(float[] value)`
  `protected String`
  `convertFromArray(int[] value)`
  `protected String`
  `convertFromArray(long[] value)`
  `protected String`
  `convertFromPrimitiveArray(Object value)`
  `String`
  `convertToPrimitiveString(String string)`
  `protected Class`
  `getValueType()`
  `protected boolean`
  `isAssignableFrom(Object value)`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringValueType

    public StringValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Specified by:
      `getValueType` in class `BeanValueType<String>`

  - ### isAssignableFrom

    protected boolean isAssignableFrom(Object value)
    Specified by:
      `isAssignableFrom` in class `BeanValueType<String>`

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `BeanValueType<String>`

  - ### convertabilityToString

    protected BeanValueType.Convertability convertabilityToString()
    Overrides:
      `convertabilityToString` in class `BeanValueType<String>`

  - ### convertToPrimitiveString

    public String convertToPrimitiveString(String string)

  - ### convertFrom

    public String convertFrom(Object value)
    Overrides:
      `convertFrom` in class `BeanValueType<String>`

  - ### convertFromPrimitiveArray

    protected String convertFromPrimitiveArray(Object value)

  - ### convertFromArray

    protected String convertFromArray(boolean[] value)

  - ### convertFromArray

    protected String convertFromArray(double[] value)

  - ### convertFromArray

    protected String convertFromArray(float[] value)

  - ### convertFromArray

    protected String convertFromArray(int[] value)

  - ### convertFromArray

    protected String convertFromArray(long[] value)